Subject: bug#92: closed (Re: bug#92: cannot start Gnus with idna.el)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 26 Sep 2010 19:54:01 +0000

Your bug report

#92: cannot start Gnus with idna.el

which was filed against the emacs,gnus package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
92: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=92
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#92: cannot start Gnus with idna.el
From: Glenn Morris <[email-masked]>
To: Lars Magne Ingebrigtsen <[email-masked]>
Cc: [email-masked]
Date: Sun, 26 Sep 2010 15:56:09 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Lars Magne Ingebrigtsen wrote:

> This doesn't seem to be reproducible by anyone, so I'm closing the
> report.
>
> close 92

It doesn't work that way. Either send a mail to 92-done (as I did in
this mail), explaining in the body why the bug is closed; or send

close 92
stop

at the start of the body in a message to control@debbugs.

>From [email-masked] Sat Mar 29 11:56:39 2008
Resent-Message-ID: <[email-masked]>
Resent-To: [email-masked]
Resent-From: Stefan Monnier <[email-masked]>
Resent-Date: Sat, 29 Mar 2008 14:56:30 -0400
From: NAKAJI Hiroyuki <[email-masked]>
To: [email-masked]
Date: Sat, 29 Mar 2008 08:28:45 +0900
Cc: [email-masked]
Subject: cannot start Gnus with idna.el
Sender: emacs-devel-bounces+monnier=[email-masked]

--=-=-=

Hi,

I noticed that recent CVS Emacs has a problem. For example, Gnus cannot
start if idna.el is installed in the load-path directory.

I found the problem under the combination of

o FreeBSD/i386 8.0-CURRENT (Jan 29 2008)
o Emacs 23.0.60 (CVS HEAD)
o No Gnus 0.7 (CVS HEAD)
o GNU Libidn 1.2

I checked out the HEAD yesterday morning (JST), bootstrapped with gcc4
and ran. And then, typed ( g n u s ) C-j in *scratch* buffer but nothing
happened.

Next, I evaled (setq debug-on-quit t) and saved the *Backtrace* which
says the breakpoint is in idna.el:idna-to-ascii-response(). I attach the
*Backtrace* file.

The "while" in idna-to-ascii-response() seems infinite loop.

(defun idna-to-ascii-response ()
  (while (and (eq (process-status idna-to-ascii-process) 'run)
              (null idna-to-ascii-response))
    (accept-process-output idna-to-ascii-process 1))
  idna-to-ascii-response)

The idna-to-ascii-response is called from message.el and the failure
itself occurs in

--=-=-=
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

(idna-to-ascii "r=E4ksm=F6rg=E5s")

--=-=-=
Content-Disposition: inline

Of cource, after I removed idna.el from any directories of load-path,
the error go away. (But there is another problem with Gnus which I'd
like to report.)

Regards,

Note: this report is sent using another CVS Emacs several weeks old.
-- 
NAKAJI Hiroyuki

--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment; filename=Backtrace.gnus.20080328
Content-Transfer-Encoding: base64

--=-=-=--